Bug 579817 - [abrt] crash in openoffice.org-calc-1:3.1.1-19.28.fc12: writePivotTable was killed by signal 6 (SIGABRT)
Summary: [abrt] crash in openoffice.org-calc-1:3.1.1-19.28.fc12: writePivotTable was k...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:11495e062df6471b434e985ba7b...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-06 16:11 UTC by Sergio Repetto
Modified: 2010-06-08 13:18 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-08 13:18:07 UTC


Attachments (Terms of Use)
File: backtrace (77.16 KB, text/plain)
2010-04-06 16:11 UTC, Sergio Repetto
no flags Details
File that makes scalc to crash (1.88 MB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2010-04-07 06:31 UTC, Sergio Repetto
no flags Details


Links
System ID Priority Status Summary Last Updated
OpenOffice.org 97873 None None None Never

Description Sergio Repetto 2010-04-06 16:11:23 UTC
abrt 1.0.8 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: /usr/lib64/openoffice.org3/program/scalc.bin -calc file:///home/s.repetto/Scrivania/Analisi_Reg_it.xlsx
comment: Openoffice Calc works intensively on the disk to convert the file: the progressbar at window's bottom says "loading ..." for a long time - many seconds - and when it is near the end, Calc crashes
component: openoffice.org
executable: /usr/lib64/openoffice.org3/program/scalc.bin
kernel: 2.6.32.10-90.fc12.x86_64
package: openoffice.org-calc-1:3.1.1-19.28.fc12
rating: 4
reason: Process /usr/lib64/openoffice.org3/program/scalc.bin was killed by signal 6 (SIGABRT)
release: Fedora release 12 (Constantine)
How to reproduce: 1. open a xlsx spreadsheet

Comment 1 Sergio Repetto 2010-04-06 16:11:40 UTC
Created attachment 404739 [details]
File: backtrace

Comment 2 Caolan McNamara 2010-04-06 16:46:25 UTC
A throw on an attempt to allocate a huge amount of memory apparently.

Can you attach the .xlsx that caused the crash to this issue. Or if it is a private document feel free to email it directly to me.

Comment 3 Sergio Repetto 2010-04-07 06:31:14 UTC
Created attachment 404843 [details]
File that makes scalc to crash

Comment 4 Caolan McNamara 2010-04-07 11:32:22 UTC
reproducible. Fixed in 3.2 AFAICS

Comment 5 Caolan McNamara 2010-04-08 08:22:40 UTC
fix backported, will be in >= 3.1.1-19.29 if there is another update for F-12

Comment 6 Fedora Update System 2010-05-08 07:56:29 UTC
openoffice.org-3.1.1-19.30.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/openoffice.org-3.1.1-19.30.fc12

Comment 7 Fedora Update System 2010-05-10 17:07:24 UTC
openoffice.org-3.1.1-19.30.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openoffice.org'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/openoffice.org-3.1.1-19.30.fc12

Comment 8 Caolan McNamara 2010-06-08 13:18:07 UTC
3.1.1-19.32.fc12


Note You need to log in before you can comment on or make changes to this bug.